API Docs
AbsenceAbsence Additional ContingentAbsence ContingentAccountAccountingAccounting ContactAdded ValueAsset AccountAttachmentAttendanceAuthBank AccountCatalogCommissionContactCraftCredit InvoiceCreditorCustom FilterCustom ReportCustomerCustomFieldDashboardDebitorEmailEmployment ContractEstimateFinanceFinance JournalFinance Journal PositionsFinDocCategoryFollowupForecastGeneral InfoHolidayIntegrationsInvoiceJobJob TasksLogin MethodMeMetricsOffice LocationOrder ConfirmationOrganisationPaymentPersonProcedureProcedure ViewPurchase InvoicePurchase OrderReportResource PlanningSnippetTargetTeamTemplateTimeUserUser CraftUser GroupUser Group ActionsUser Group UsersWorkPattern
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| user_id | integer | Yes | User ID, can be 'me' for the current user |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| date | integer | No | Only include followups due on or before this unix timestamp |
| statuses | array<string> | No | Filter by followup status |
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/user/123/followup?date=1&statuses=string' \
-H 'Accept: application/json' \
-H 'Authorization: Session Token'Responses
200OK
array<app.Followup>application/json
Example
[
{
"date_created": 123,
"date_display": 123,
"date_followup": 123,
"date_modified": 123,
"id": 123,
"id_assoc": 123,
"status": "erledigt",
"text": "string",
"type": "rg_ein",
"user_id_from": 123,
"user_id_to": 123,
"visible_for_users": "string"
}
]400Bad Request
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}401Unauthorized
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}403Forbidden
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}404Not Found
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}500Internal Server Error
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}